summaryrefslogtreecommitdiffstats
path: root/prebuilt/common
diff options
context:
space:
mode:
Diffstat (limited to 'prebuilt/common')
-rwxr-xr-xprebuilt/common/etc/init.d/05mountsd13
1 files changed, 9 insertions, 4 deletions
diff --git a/prebuilt/common/etc/init.d/05mountsd b/prebuilt/common/etc/init.d/05mountsd
index f53645f..8315466 100755
--- a/prebuilt/common/etc/init.d/05mountsd
+++ b/prebuilt/common/etc/init.d/05mountsd
@@ -30,11 +30,16 @@ then
log -p i -t mountsd "Checking filesystems..";
# fsck the sdcard filesystem first
- logwrapper e2fsck -y $PARTITION;
-
+ if [ -x `which e2fsck` ];
+ then
+ e2fsck -y $PARTITION;e2fsk_exitcode=$?
+ else
+ echo "executable e2fsck not found, assuming no filesystem errors"
+ e2fsk_exitcode=0
+ fi
# set property with exit code in case an error occurs
- setprop cm.e2fsck.errors $?;
- if [ "$?" = 0 ];
+ setprop cm.e2fsck.errors $e2fsk_exitcode;
+ if [ "$e2fsk_exitcode" = 0 ];
then
# mount and set perms